View a markdown version of this page

ImportSecurityRequirements - AWS Security Agent

ImportSecurityRequirements

Imports security requirements from uploaded documents into a customer managed security requirement pack. The import process asynchronously extracts and generates structured security requirements from the provided source files.

Request Syntax

POST /ImportSecurityRequirements HTTP/1.1 Content-type: application/json { "input": { ... }, "packId": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

input

The import source containing the documents to extract security requirements from.

Type: ImportSource object

Note: This object is a Union. Only one member of this object can be specified or returned.

Required: Yes

packId

The unique identifier of the security requirement pack to import requirements into.

Type: String

Required: Yes

Response Syntax

HTTP/1.1 201 Content-type: application/json { "importStatus": "string", "packId": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 201 response.

The following data is returned in JSON format by the service.

importStatus

The status of the import workflow.

Type: String

Valid Values: PENDING | IN_PROGRESS | FAILED | COMPLETED

packId

The unique identifier of the security requirement pack.

Type: String

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

You do not have sufficient access to perform this action.

message

Error description.

HTTP Status Code: 403

ConflictException

The request could not be completed due to a conflict with the current state of the resource.

message

Error description.

HTTP Status Code: 409

InternalServerException

An unexpected error occurred during the processing of your request.

message

Error description.

HTTP Status Code: 500

ResourceNotFoundException

The specified resource was not found. Verify that the resource identifier is correct and that the resource exists in the specified agent space or account.

message

Error description.

HTTP Status Code: 404

ServiceQuotaExceededException

The request exceeds a service quota. Review your current usage and request a quota increase if needed.

HTTP Status Code: 402

ThrottlingException

The request was denied due to request throttling.

message

Error description.

quotaCode

Quota code for throttling limit.

serviceCode

Service code for throttling limit.

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service.

fieldList

A list of specific failures encountered during validation.

message

A summary of the validation failure.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: